Sets the date

- « DateTime::__set_state

- DateTime::setISODate »

- PHP Manual
- DateTime
- Sets the date

# DateTime::setDate

# date_date_set

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

DateTime::setDate -- date_date_set — Sets the date

### Description

Object-oriented style

public DateTime::setDate(int `$year`, int `$month`, int `$day`): DateTime

Procedural style

date_date_set(
DateTime `$object`,
int `$year`,
int `$month`,
int `$day`
): DateTime

Resets the current date of the DateTime object to a different date.

Like DateTimeImmutable::setDate() but works with DateTime, and changes the existing object.

The procedural version takes the DateTime object as its first argument.

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create(). The function modifies this object.

`year`

  Year of the date.

`month`

  Month of the date.

`day`

  Day of the date.

### Return Values

Returns the modified DateTime object for method chaining.

### See Also

- DateTimeImmutable::setDate() - Sets the date